package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdItemRef;
import com.xmomen.module.base.entity.CdItemRefExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdItemRefMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdItemRefExample example);

    // 根据条件删除记录
    int deleteByExample(CdItemRefExample example);

    // 插入记录
    int insertSelective(CdItemRef record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdItemRef record, @Param("example") CdItemRefExample example);
}